package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumAssignTagsTrigger {

    // 1.时间范围(valid_start_date,valid_end_date). 2领取后几日有效(valid_days)

    ASSIGN_TAGS_TRIGGER_IMPORT(1, "导入"),
    ASSIGN_TAGS_TRIGGER_LOGIN(2, "登陆"),
    ASSIGN_TAGS_TRIGGER_PHONE(3, "授权手机号"),
    ASSIGN_TAGS_TRIGGER_CAR(4, "停车"),
    ASSIGN_TAGS_TRIGGER_BUY(5, "购买"),
    ASSIGN_TAGS_TRIGGER_USE(6, "核销"),
    ASSIGN_TAGS_TRIGGER_SCAN(7, "扫描会员列表"),
    ;

    public static EnumAssignTagsTrigger getEnum(Integer code) {
        for (EnumAssignTagsTrigger value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumAssignTagsTrigger(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
